Public paste
no result columns
By: clayot | Date: Apr 30 2022 20:08 | Format: None | Expires: never | Size: 3.45 KB | Hits: 84

  1. Traceback (most recent call last):
  2.   File "C:\Users\zacha\AppData\Local\Programs\Python\Python39\lib\site-packages\sqlalchemy\engine\base.py", line 1204, in _execute_context
  3.     context = constructor(dialect, self, conn, *args)
  4.   File "C:\Users\zacha\AppData\Local\Programs\Python\Python39\lib\site-packages\sqlalchemy\engine\default.py", line 793, in _init_compiled
  5.     compiled._result_columns,
  6. AttributeError: 'SQLiteDDLCompiler' object has no attribute '_result_columns'
  7.  
  8. The above exception was the direct cause of the following exception:
  9.  
  10. Traceback (most recent call last):
  11.   File "C:\Users\zacha\AppData\Roaming\JetBrains\PyCharm2022.1\scratches\scratch_5.py", line 5, in <module>
  12.     test.setUp()
  13.   File "C:\Users\zacha\PycharmProjects\LiSE\LiSE\LiSE\allegedb\tests\test_all.py", line 24, in setUp
  14.     self.engine = ORM('sqlite:///:memory:')
  15.   File "C:\Users\zacha\PycharmProjects\LiSE\LiSE\LiSE\allegedb\__init__.py", line 795, in __init__
  16.     self.query.initdb()
  17.   File "C:\Users\zacha\PycharmProjects\LiSE\LiSE\LiSE\allegedb\query.py", line 803, in initdb
  18.     raise ret
  19.   File "C:\Users\zacha\PycharmProjects\LiSE\LiSE\LiSE\allegedb\query.py", line 226, in initdb
  20.     ret = self.init_table(table)
  21.   File "C:\Users\zacha\PycharmProjects\LiSE\LiSE\LiSE\allegedb\query.py", line 101, in init_table
  22.     return self.sql('create_{}'.format(tbl))
  23.   File "C:\Users\zacha\PycharmProjects\LiSE\LiSE\LiSE\allegedb\query.py", line 113, in sql
  24.     return getattr(self.alchemist, stringname)(*args, **kwargs)
  25.   File "C:\Users\zacha\PycharmProjects\LiSE\LiSE\LiSE\allegedb\alchemy.py", line 442, in caller
  26.     return self.conn.execute(statement)
  27.   File "C:\Users\zacha\AppData\Local\Programs\Python\Python39\lib\site-packages\sqlalchemy\engine\base.py", line 1011, in execute
  28.     return meth(self, multiparams, params)
  29.   File "C:\Users\zacha\AppData\Local\Programs\Python\Python39\lib\site-packages\sqlalchemy\sql\compiler.py", line 337, in _execute_on_connection
  30.     return connection._execute_compiled(self, multiparams, params)
  31.   File "C:\Users\zacha\AppData\Local\Programs\Python\Python39\lib\site-packages\sqlalchemy\engine\base.py", line 1147, in _execute_compiled
  32.     ret = self._execute_context(
  33.   File "C:\Users\zacha\AppData\Local\Programs\Python\Python39\lib\site-packages\sqlalchemy\engine\base.py", line 1206, in _execute_context
  34.     self._handle_dbapi_exception(
  35.   File "C:\Users\zacha\AppData\Local\Programs\Python\Python39\lib\site-packages\sqlalchemy\engine\base.py", line 1510, in _handle_dbapi_exception
  36.     util.raise_(
  37.   File "C:\Users\zacha\AppData\Local\Programs\Python\Python39\lib\site-packages\sqlalchemy\util\compat.py", line 182, in raise_
  38.     raise exception
  39.   File "C:\Users\zacha\AppData\Local\Programs\Python\Python39\lib\site-packages\sqlalchemy\engine\base.py", line 1204, in _execute_context
  40.     context = constructor(dialect, self, conn, *args)
  41.   File "C:\Users\zacha\AppData\Local\Programs\Python\Python39\lib\site-packages\sqlalchemy\engine\default.py", line 793, in _init_compiled
  42.     compiled._result_columns,
  43. sqlalchemy.exc.StatementError: (builtins.AttributeError) 'SQLiteDDLCompiler' object has no attribute '_result_columns'
  44. [SQL:
  45. CREATE TABLE branches (
  46.         branch TEXT NOT NULL,
  47.         parent TEXT,
  48.         parent_turn INTEGER NOT NULL,
  49.         parent_tick INTEGER NOT NULL,
  50.         end_turn INTEGER NOT NULL,
  51.         end_tick INTEGER NOT NULL,
  52.         PRIMARY KEY (branch),
  53.         CHECK (branch<>parent),
  54.         FOREIGN KEY(branch) REFERENCES branches (parent)
  55. )
  56.  WITHOUT ROWID
  57.  
  58. ]
  59.  
Latest pastes
2 days ago
2 days ago
4 months ago
6 months ago
6 months ago